Bug 428032 - Sound problem in control-center
Sound problem in control-center
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-08 15:15 EST by Ed Friedman
Modified: 2013-03-05 22:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:44:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Friedman 2008-01-08 15:15:47 EST
Description of problem:
gnome-sound-preferences is broken

Version-Release number of selected component (if applicable):
control-center-2.20.1-5

How reproducible:
Always

Steps to Reproduce:
1.Open gnome-sound-preferences
2.Click on any of the test buttons
3.
  
Actual results:
Error message appears saying Internal Gstreamer Error: state change failed.

Expected results:

It should test sound
Additional info:
Modprobe.conf identifies card as snd-hta-intel
Sound card test works perfectly and identifies card as 82801G using ALC882
Analog, but no sound appears on desktop yet.  E.g., realplay gives segmentation
fault.
Comment 1 Bastien Nocera 2008-01-08 15:21:55 EST
Please give the output of:
rpm -qa "*pulse*" "*gst*"
and
ps aux | grep pulse
Comment 2 Ed Friedman 2008-01-09 15:40:56 EST
I've fixed the problem.  As root I did:

chmod a+rw /dev/dsp /dev/audio /dev/mixer /dev/snd/*

Since previous versions of Fedora worked without a+rw permissions, I suspect
that something else is amiss, but hopefully this info will be enough for you to
track it down.

To answer your request, the output of rpm -qa "*pulse*" "*gst*" is:
gstreamer-tools-0.10.15-1.fc8
pulseaudio-libs-zeroconf-0.9.7-0.17.svn20071017.fc8
gstreamer-plugins-good-devel-0.10.6-6.fc8
gstreamer-plugins-base-0.10.15-1.fc8
gstreamer-plugins-good-devel-0.10.6-6.fc8
pulseaudio-libs-0.9.7-0.17.svn20071017.fc8
pulseaudio-module-gconf-0.9.7-0.17.svn20071017.fc8
pulseaudio-libs-0.9.7-0.17.svn20071017.fc8
pulseaudio-module-x11-0.9.7-0.17.svn20071017.fc8
gstreamer-0.10.15-1.fc8
gstreamer-devel-0.10.15-1.fc8
gstreamer-plugins-base-devel-0.10.15-1.fc8
pulseaudio-libs-glib2-0.9.7-0.17.svn20071017.fc8
gstreamer-python-0.10.8-2.fc8
gstreamer-plugins-base-0.10.15-1.fc8
pulseaudio-module-zeroconf-0.9.7-0.17.svn20071017.fc8
pulseaudio-core-libs-0.9.7-0.17.svn20071017.fc8
gstreamer-plugins-pulse-0.9.5-0.4.svn20070924.fc8
gstreamer-plugins-schroedinger-0.9.0-1.fc8
kde-settings-pulseaudio-3.5-35.fc8
gstreamer-0.10.15-1.fc8
gstreamer-plugins-base-devel-0.10.15-1.fc8
pulseaudio-module-lirc-0.9.7-0.17.svn20071017.fc8
pulseaudio-utils-0.9.7-0.17.svn20071017.fc8
gstreamer-plugins-farsight-0.12.5-1.fc8
alsa-plugins-pulseaudio-1.0.14-5.fc8
pulseaudio-0.9.7-0.17.svn20071017.fc8
pulseaudio-esound-compat-0.9.7-0.17.svn20071017.fc8
akode-pulseaudio-2.0.1-9.fc8
gstreamer-devel-0.10.15-1.fc8
gstreamer-plugins-good-0.10.6-6.fc8

The output of ps aux | grep pulse is:
ed       11224  0.1  0.2 292520  4220 ?        Sl   14:26   0:00
/usr/bin/pulseaudio --log-target=syslog
ed       11228  0.0  0.1  46752  2204 ?        S    14:26   0:00
/usr/libexec/pulse/gconf-helper
Comment 3 Bastien Nocera 2008-01-09 15:52:54 EST
Problem with pulseaudio/HAL/ConsoleKit. Punting to ConsoleKit, David knows where
that one should go.
Comment 4 Ed Friedman 2008-01-09 18:11:55 EST
I forgot to mention before that ps aux | grep pulse gave no output before I
changed the permissions on those /dev/ files.
Comment 5 Bug Zapper 2008-11-26 04:20:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:44:26 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.